Package org.eclipse.emf.cdo.transaction

## Interface CDOUndoDetector

-     public interface CDOUndoDetector

  A strategy used to detect whether the feature of an `object` has the original (clean) value after a number of modifications.
  Since:
    4.3
  Author:
    Eike Stepper
  See Also:
    `CDOTransaction.Options.setUndoDetector(CDOUndoDetector)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOUndoDetector` | `ALL_FEATURES` |
    `static CDOUndoDetector` | `NO_FEATURES` |
    `static CDOUndoDetector` | `SINGLE_VALUED_FEATURES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `detectUndo​(CDOTransaction transaction, CDORevision cleanRevision, CDORevision currentRevision, CDOFeatureDelta featureDelta)` |

- - ### Field Detail

    - #### NO_FEATURES

          static final CDOUndoDetector NO_FEATURES

    - #### SINGLE_VALUED_FEATURES

          static final CDOUndoDetector SINGLE_VALUED_FEATURES

    - #### ALL_FEATURES

          static final CDOUndoDetector ALL_FEATURES

  - ### Method Detail

    - #### detectUndo

          boolean detectUndo​(CDOTransaction transaction,
                             CDORevision cleanRevision,
                             CDORevision currentRevision,
                             CDOFeatureDelta featureDelta)